MONGOC_GRIDFS_FIND(3)

NAME
mongoc_gridfs_find() - Finds all gridfs files matching query. You can iterate the matched gridfs files with the resulting file list.

SYNOPSIS

mongoc_gridfs_file_list_t *
mongoc_gridfs_find (mongoc_gridfs_t *gridfs,
                    const bson_t    *query);

PARAMETERS

gridfs
    A mongoc_gridfs_t \&.

query
    A bson_t \&.

DESCRIPTION

Finds all gridfs files matching query \&. You can iterate the matched gridfs files with the resulting file list.

RETURNS

A newly allcoated mongoc_gridfs_file_list_t that should be freed with mongoc_gridfs_file_list_destroy(3) when no longer in use.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.